Bug 8762 - [PATCH] Doc fix /hpsf/littleendian/DWord.java
Summary: [PATCH] Doc fix /hpsf/littleendian/DWord.java
Status: CLOSED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HPSF (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-03 03:59 UTC by Drew Varner
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Varner 2002-05-03 03:59:38 UTC
A DWord represents a 32 bit unsigned int. This is a Javadoc fix to indicate 
this. This is especially important since DWord has an intValue() method that 
returns a Java int (32 bit signed integer). This Javadoc comment is the first 
step in fixing DWord.

cvs diff -u DWord.java


Index: DWord.java
===================================================================
RCS file: /home/cvspublic/jakarta-
poi/src/java/org/apache/poi/hpsf/littleendian/DWord.java,v
retrieving revision 1.2
diff -u -r1.2 DWord.java
--- DWord.java	30 Apr 2002 03:51:02 -0000	1.2
+++ DWord.java	3 May 2002 03:55:41 -0000
@@ -64,6 +64,7 @@
 
 /**
  * <p>Represents a double word (4 bytes).</p>
+ * <p>DWords map to unsigned 32 bit integers</p>
  *
  * @author Rainer Klute (klute@rainer-klute.de)
  * @version $Id: DWord.java,v 1.2 2002/04/30 03:51:02 acoliver Exp $
Comment 1 Rainer Klute 2002-05-03 07:32:35 UTC
Comment added for DWord being unsigned, but intValue() is still unfixed.
Comment 2 Andy Oliver 2002-05-20 20:53:45 UTC
resolved... DWord no longer exists.